Swaggerhub integration: operations for AI agents
Swaggerhub connects to Type.com as an integration. This page lists the 104 operations documented for Claude and Codex in Type.com: 41 read, 32 write, 31 destructive.
About Swaggerhub
Accelerating API delivery and quality through standards and collaboration, built on OpenAPI
Categories: Developer Tools & IT
How to connect Swaggerhub to Type.com
- Access
- Organization connection: one shared account for the workspace.
To add the connection, follow the steps in Space connections.
Documented operations
104 operations. Your connection's permissions determine which operations are available. API references describe the vendor surface; they do not expand your connection's credentials or access.
104 operations listed.
APIs
- Read
Retrieve a list of currently defined APIs, domains, and templates in APIs.json format
GET /specs
- Read
Validate an OpenAPI/AsyncAPI definition
Performs structural validation of a complete OpenAPI or AsyncAPI definition against its specification and returns findings with line/column positions. This check is independent of any organization standardization rules.
- Read
Search APIs
This is a convenience alias for GET /specs?specType=API.
- Read
Get a list of APIs of the specified owner
GET /apis/{owner}
- Read
Get a list of API versions
GET /apis/{owner}/{api}
- Read
Get the OpenAPI definition of the specified API version
GET /apis/{owner}/{api}/{version}
- Read
Get the OpenAPI definition for the specified API version in JSON format
GET /apis/{owner}/{api}/{version}/swagger.json
- Read
Get the OpenAPI definition for the specified API version in YAML format
GET /apis/{owner}/{api}/{version}/swagger.yaml
- Read
Get comments for the specified API version
GET /apis/{owner}/{api}/{version}/comments
- Read
Get the default version of an API
This operation returns the version identifier, such as 1.0.0. To get the definition itself, use GET /apis/{owner}/{api}/{version}.
- Read
Get the published status for the specified API and version
GET /apis/{owner}/{api}/{version}/settings/lifecycle
- Read
Get the visibility (public or private) of API version
GET /apis/{owner}/{api}/{version}/settings/private
- Read
Retrieve the standardization errors for a given API definition
GET /apis/{owner}/{api}/{version}/standardization
- Write
Create or update an API
Use this operation to create a new API or update an existing API by uploading its OpenAPI definition in YAML or JSON format. The authenticating user must have permissions to create or update APIs in the specified owner account.
- Write
Rename an API
The new name must follow the naming rules.
- Write
Fork an API
Creates a fork of the specified API definition and version. The fork can be created as a new API, or as a new version in another existing API.
- Write
Create a new API version
Use this operation to clone an existing API version as a new version. The new version will have the same YAML content but with updated info.version. Note: Comments, integrations, and codegen options are not copied to the new version. The default version also remains unchanged.
- Write
Add a new comment
POST /apis/{owner}/{api}/{version}/comments
- Write
Bulk update comments
POST /apis/{owner}/{api}/{version}/comments/batch
- Write
Update a comment
PATCH /apis/{owner}/{api}/{version}/comments/{comment}
- Write
Reply to a comment
POST /apis/{owner}/{api}/{version}/comments/{comment}/replies
- Write
Update a comment reply
PATCH /apis/{owner}/{api}/{version}/comments/{comment}/replies/{reply}
- Destructive
Delete an API
DELETE /apis/{owner}/{api}
- Destructive
Delete an API version
DELETE /apis/{owner}/{api}/{version}
- Destructive
Delete a comment
DELETE /apis/{owner}/{api}/{version}/comments/{comment}
- Destructive
Resolve or reopen a comment
PUT /apis/{owner}/{api}/{version}/comments/{comment}/status/{status}
- Destructive
Delete a comment reply
DELETE /apis/{owner}/{api}/{version}/comments/{comment}/replies/{reply}
- Destructive
Set the default API version
PUT /apis/{owner}/{api}/settings/default
- Destructive
Publish or unpublish an API version
PUT /apis/{owner}/{api}/{version}/settings/lifecycle
- Destructive
Set the visibility (public or private) of an API version
PUT /apis/{owner}/{api}/{version}/settings/private
Templates
- Read
Retrieve an APIs.json listing for all template versions for an owner and template
GET /templates/{owner}/{templateId}
- Read
Retrieve a template definition
GET /templates/{owner}/{templateId}/{version}
- Read
Retrieve a list of templates for an owner
GET /templates
- Read
Retrieve visibility settings for a template
GET /templates/{owner}/{templateId}/{version}/settings/private
- Read
Retrieve lifecycle settings for a template
GET /templates/{owner}/{templateId}/{version}/settings/lifecycle
- Read
Return the list of comments for a template
GET /templates/{owner}/{templateId}/{version}/comments
- Write
Create or update a template
Saves the provided template definition; the owner must match the token owner. The version will be extracted from the template definitions itself.
- Write
Create a fork for a template
POST /templates/{owner}/{templateId}/{version}/fork
- Write
Rename a template
POST /templates/{owner}/{templateId}/rename
- Write
Update the list of comments for a template
POST /templates/{owner}/{templateId}/{version}/comments/batch
- Destructive
Delete a template
DELETE /templates/{owner}/{templateId}
- Destructive
Delete a particular version of a template
DELETE /templates/{owner}/{templateId}/{version}
- Destructive
Update visibility settings for a template
PUT /templates/{owner}/{templateId}/{version}/settings/private
- Destructive
Update lifecycle settings for a template
PUT /templates/{owner}/{templateId}/{version}/settings/lifecycle
Projects
- Read
Get all projects of an organization
GET /projects/{owner}
- Read
Get project information
GET /projects/{owner}/{projectId}
- Write
Create a project in an organization
POST /projects/{owner}
- Destructive
Update a project
Use this operation to update an existing project, for example, add or remove APIs, or change the project description. When updating a project, the apis and domains lists replace the existing ones.
- Destructive
Delete a project
DELETE /projects/{owner}/{projectId}
- Destructive
Add an API or domain to a project
Use this operation to add a single API or domain to the specified project. To add multiple APIs or domains at once, use PUT /projects/{owner}/{projectId}.
Integrations
- Read
Get all integrations configured for the specified API version
The returned information includes integration types, names, unique IDs, and enabled/disabled status. Note: The following integration types are currently not returned: Amazon API Gateway Lambda Sync, Apigee Edge, Azure API Management.
- Read
Get integration settings
Returns the configuration of the specified integration. Access tokens and passwords are not returned for security reasons.
- Write
Create an integration for the specified API and version
Use this operation to configure an integration for a specific API version. The integration type is determined by which object is provided in the request body (specifically, by the configType value).
- Write
Partially update integration settings
Use this operation to partially update integration settings for the specified API and integration ID. For example, enable or disable an integration, or specify a new access token. Only the fields provided in the request body will be updated; other settings will remain unchanged.
- Write
Run an integration
Use this operation to trigger an existing integration. Source control integrations push to (not pull from) the configured repository and branch. You can optionally provide a custom commit message.
- Destructive
Update integration settings
Updates integration settings for the specified API and integration ID. The integration type is determined by which object is passed in the request body. The request body must contain a full representation of an integration object.
- Destructive
Delete an integration
Delete an existing integration specified by its ID.
Domains
- Read
Search domains
This is a convenience alias for GET /specs?specType=DOMAIN.
- Read
Get a list of domains of the specified owner
GET /domains/{owner}
- Read
Get a list of domain versions
GET /domains/{owner}/{domain}
- Read
Get the OpenAPI definition of the specified domain version
GET /domains/{owner}/{domain}/{version}
- Read
Get the OpenAPI definition for the specified domain version in JSON format
GET /domains/{owner}/{domain}/{version}/domain.json
- Read
Get the OpenAPI definition for the specified domain version in YAML format
GET /domains/{owner}/{domain}/{version}/domain.yaml
- Read
Get comments for the specified domain version
GET /domains/{owner}/{domain}/{version}/comments
- Read
Get the default version of a domain
This operation returns the version identifier, such as 1.0.0. To get the definition itself, use GET /domains/{owner}/{domain}/{version}.
- Read
Get the published status for the specified domain and version
GET /domains/{owner}/{domain}/{version}/settings/lifecycle
- Read
Get the visibility (public or private) of a domain version
GET /domains/{owner}/{domain}/{version}/settings/private
- Write
Create or update a domain
POST /domains/{owner}/{domain}
- Write
Rename a domain
The new name must follow the naming rules.
- Write
Fork a domain
Creates a fork of the specified domain definition and version. The fork can be created as a new domain, or as a new version in another existing domain.
- Write
Create a new domain version
Use this operation to clone an existing domain version as a new version. Note that the new version is not automatically set as the default version.
- Write
Add a new comment
POST /domains/{owner}/{domain}/{version}/comments
- Write
Bulk update comments
POST /domains/{owner}/{domain}/{version}/comments/batch
- Write
Update a comment
PATCH /domains/{owner}/{domain}/{version}/comments/{comment}
- Write
Reply to a comment
POST /domains/{owner}/{domain}/{version}/comments/{comment}/replies
- Write
Update a comment reply
PATCH /domains/{owner}/{domain}/{version}/comments/{comment}/replies/{reply}
- Destructive
Delete a domain
DELETE /domains/{owner}/{domain}
- Destructive
Delete a domain version
DELETE /domains/{owner}/{domain}/{version}
- Destructive
Delete a comment
DELETE /domains/{owner}/{domain}/{version}/comments/{comment}
- Destructive
Resolve or reopen a comment
PUT /domains/{owner}/{domain}/{version}/comments/{comment}/status/{status}
- Destructive
Delete a comment reply
DELETE /domains/{owner}/{domain}/{version}/comments/{comment}/replies/{reply}
- Destructive
Set the default version for a domain
PUT /domains/{owner}/{domain}/settings/default
- Destructive
Publish or unpublish a domain version
PUT /domains/{owner}/{domain}/{version}/settings/lifecycle
- Destructive
Set the visibility (public or private) of a domain version
PUT /domains/{owner}/{domain}/{version}/settings/private
Standardization
- Read
Get Spectral ruleset bundle as ZIP
Returns the ruleset bundle for the given org, name and version as a ZIP file.
- Destructive
Create or update Spectral ruleset (ZIP)
Create or update the ruleset using a zip of the files. Requires org owner permissions. Calling this on an existing ruleset will overwrite the files.
Organizations
- Read
Get organizations for a user
Returns a list of organizations that the authenticating user is a member of.
Organization Members
- Read
Get organization members
Returns a list of organization members and their roles. The list contains details including member email addresses and last activity. The authenticating user must be the organization owner.
- Write
Invite users to an organization
Invites the specified users to the organization by email address. No roles will be assigned automatically.
- Destructive
Remove members from an organization
Removes the specified users from the organization by email address. The authenticating user must be the organization owner. Note: The last owner of an organization cannot be removed.
Teams
- Read
List teams in the organization
Returns a paginated list of teams in the organization. Organization admins and owners receive the list of all teams. Team administrators receive the list of teams where they are administrator.
- Write
Create a new team
Creates a new team in the organization. The authenticating user must be the organization admin or owner.
- Destructive
Update team
Updates an existing team in the organization. The authenticating user must be the organization admin, owner, or team administrator.
- Destructive
Delete a team
Deletes a team from the organization. The authenticating user must be the organization admin, owner, or team administrator.
Access Control
- Read
Get users with access control assigned on the resource.
Returns the lists of users that have been assigned access control on the referenced resource.
- Read
Get teams with access control assigned on the resource.
Returns the lists of teams that have been assigned access control on the referenced resource.
- Read
Get User Roles
Returns the lists of roles that have been assigned to the user in the organization.
- Read
Get all resource types and roles that can be assigned.
Returns a dictionary that maps each resource type to a list of access control roles that users can be assigned.
- Write
Assign access control to users on a resource.
Assign access control roles to the users on the referenced resource.
- Write
Update access control for users.
Updates the access control roles for users on the specified resource. Returns the lists of users whose roles have been updated in the organization.
- Write
Assign access control to teams on a resource.
Assign access control roles to the teams on the referenced resource.
- Write
Update access control for teams.
Updates the access control roles for teams on the specified resource. Returns the lists of teams whose roles have been updated in the organization.
- Destructive
Removes access control for users
Removes access control for given users and returns list of removal statuses.
- Destructive
Removes access control for teams
Removes access control for given teams and returns list of removal statuses.
No operations match.
See How connections work for access and permissions, or browse all integrations.